From ronr@ebay.sun.com Wed Jun 22 07:43:51 1994
Received: from noao.edu by gemini (4.1/SAG.sat.13)
	id AA18961; Wed, 22 Jun 94 07:43:50 MST; for rstevens
Received: from Sun.COM by noao.edu (4.1/SAG-Noao.G95)
	id AA11544; Wed, 22 Jun 94 07:43:54 MST; for rstevens@gemini
Received: from EBay.Sun.COM (female.EBay.Sun.COM) by Sun.COM (sun-barr.Sun.COM)
	id AA04757; Wed, 22 Jun 94 07:43:53 PDT
Received: from ateami2.EBay.Sun.COM by EBay.Sun.COM (5.0/SMI-5.3)
	id AA26388; Wed, 22 Jun 1994 07:43:51 +0800
Received: by ateami2.EBay.Sun.COM (5.0/SMI-SVR4)
	id AA09618; Wed, 22 Jun 1994 07:43:48 +0800
Message-Id: <9406221443.AA09618@ateami2.EBay.Sun.COM>
From: ronr@ebay.sun.com (RON RICHARDSON)
Date: Wed, 22 Jun 1994 07:43:47 -0700
X-Mailer: Mail User's Shell (7.2.5 10/14/92)
To: rstevens@noao.edu (W. Richard Stevens)
Subject: Re: Success
Content-Length: 3342
Status: OR


See the below from Hal.  This makefile worked for me.

Ron

 _____________________________________________________________<>
|FROM: W. Richard Stevens [rstevens@noao.edu] 
|  TO: ronr@EBay.Sun.COM 
|DATE: Wed Jun 22,  6:07 
|SUBJ: Re: Success 
|
| Care to share the Solaris 2.3 changes that are required?  Mine dumps
| core, and the 4.1.3 exectuable that I have inserts the wrong date
| (compatability bug, I'd guess).
| 
| 	Rich Stevens  (rstevens@noao.edu)
|_____________________________________________________________<>

--- Forwarded mail from pomeranz@TFS.COM

>From pomeranz@TFS.COM  Mon Jun 20 18:18:44 1994
From: pomeranz@TFS.COM
To: ronr@EBay.Sun.COM (RON RICHARDSON - SUN MICROSYSTEMS)
Subject: Re: mush under Solaris 2.x

It's do-able, but it helps if you have gcc installed (makefile below).
The only thing you need apart from the Makefile is to add the following
defines in malloc.c and pop.c

#define bcopy(src,dst,len)     memcpy(dst,src,len)
#define bzero(src,len)            memset(src,0,len)

--Hal

=====

# Mush makefile for system V.  Note: SIGRET should return void for normal
# sys-v, but Att PC users should *not* have it defined.  See the README!!
#
HDRS1= mush.h config.h
HDRS2= strings.h options.h
HDRS3= bindings.h glob.h
HDRS4= version.h pop.h
SRCS1= commands.c dates.c execute.c expr.c folders.c \
	hdrs.c init.c loop.c mail.c main.c misc.c msgs.c pick.c \
	print.c setopts.c signals.c sort.c viewopts.c options.c lock.c
SRCS2= bind.c curs_io.c curses.c file.c strings.c macros.c \
	addrs.c malloc.c glob.c command2.c pop.c pmush.c xcreat.c

OBJS1= commands.o dates.o execute.o expr.o folders.o \
	hdrs.o init.o loop.o mail.o main.o misc.o msgs.o pick.o \
	print.o setopts.o signals.o sort.o viewopts.o options.o lock.o
OBJS2= bind.o curs_io.o curses.o file.o strings.o macros.o \
	addrs.o malloc.o glob.o command2.o pop.o pmush.o xcreat.o

HELP= README README-7.0 README-7.1 README-7.2.0 README-7.2.2 \
	README-7.2.4 mush.1 cmd_help Mushrc Mailrc Gnurc \
	sample.mushrc advanced.mushrc digestify

# Sun OS systems who wish to compile with sys-v options:
# CC= /usr/5bin/cc
# CFLAGS= 	-O -DSYSV -DCURSES -DUSG -DDIRECTORY
# LIBS= -L/usr/5lib -lcurses

# IRIX 3.2 systems (SGI Iris workstations) should add -DDIRECTORY to CFLAGS
# SCO UNIX 3.2 should add -DDIRECTORY -DSELECT and should avoid library -lx
# System V Release 4 (SunOS 5?) should add -DSVR4 -DDIRECTORY to CFLAGS and
#  should replace -lPW with -lgen

CC=		gcc -fwritable-strings
CFLAGS= 	-O -DUSG -DCURSES -DREGCMP -DSIGRET=void -DSVR4
LDFLAGS=
LIBS= 		-lcurses -lgen
OTHERLIBS=	-lsocket -lnsl
# Use some variant of this one if you #define MMDF in config.h
#OTHERLIBS=/usr/src/mmdf/lib/libmmdf.a
PROG=		mush

$(PROG): $(OBJS1) $(OBJS2)
	@echo loading...
	@$(CC) $(LDFLAGS) $(OBJS1) $(OBJS2) -o $(PROG) $(LIBS) $(OTHERLIBS)

$(OBJS1): $(HDRS1) $(HDRS2)
$(OBJS2): $(HDRS1) $(HDRS2) $(HDRS3)
loop.o: version.h

BINDIR= /usr/local/bin
LIBDIR= /usr/local/lib/mush
MRCDIR= /usr/local/lib/mush
MANDIR= /usr/local/man/man1
MANEXT= 1

install: mush
	cp mush $(BINDIR)
	strip $(BINDIR)/mush
	chmod 0755 $(BINDIR)/mush
	cp mush.1 $(MANDIR)/mush.$(MANEXT)
	chmod 0644 $(MANDIR)/mush.$(MANEXT)
	cp cmd_help $(LIBDIR)
	chmod 0644 $(LIBDIR)/cmd_help
	cp Mushrc $(MRCDIR)/Mushrc
	chmod 0644 $(MRCDIR)/Mushrc


--- End of forwarded message from pomeranz@TFS.COM


